version: "3.7"

services:
  db:
    image: postgres:10.1-alpine
    restart: always
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - POSTGRES_DB=heroes
      - POSTGRES_USER=adi
      - POSTGRES_PASSWORD=password123
  web:
    build:
      context: .
      dockerfile: Dockerfile
    command: pipenv run python manage.py runserver 0.0.0.0:8000
    restart: always
    volumes:
      - .:/code
    ports:
      - 8000:8000
    depends_on:
      - db

volumes:
  postgres_data:
